{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "spec": {
      "properties": {
        "backupOwnerReference": {
          "default": "none",
          "enum": [
            "none",
            "self",
            "cluster"
          ],
          "type": "string"
        },
        "cluster": {
          "properties": {
            "name": {
              "type": "string"
            }
          },
          "required": [
            "name"
          ],
          "type": "object"
        },
        "immediate": {
          "type": "boolean"
        },
        "method": {
          "default": "barmanObjectStore",
          "enum": [
            "barmanObjectStore",
            "volumeSnapshot",
            "plugin"
          ],
          "type": "string"
        },
        "online": {
          "type": "boolean"
        },
        "onlineConfiguration": {
          "properties": {
            "immediateCheckpoint": {
              "type": "boolean"
            },
            "waitForArchive": {
              "default": true,
              "type": "boolean"
            }
          },
          "type": "object"
        },
        "pluginConfiguration": {
          "properties": {
            "name": {
              "type": "string"
            },
            "parameters": {
              "additionalProperties": {
                "type": "string"
              },
              "type": "object"
            }
          },
          "required": [
            "name"
          ],
          "type": "object"
        },
        "schedule": {
          "type": "string"
        },
        "suspend": {
          "type": "boolean"
        },
        "target": {
          "enum": [
            "primary",
            "prefer-standby"
          ],
          "type": "string"
        }
      },
      "required": [
        "cluster",
        "schedule"
      ],
      "type": "object"
    },
    "status": {
      "properties": {
        "lastCheckTime": {
          "format": "date-time",
          "type": "string"
        },
        "lastScheduleTime": {
          "format": "date-time",
          "type": "string"
        },
        "nextScheduleTime": {
          "format": "date-time",
          "type": "string"
        }
      },
      "type": "object"
    }
  },
  "required": [
    "metadata",
    "spec"
  ],
  "type": "object"
}
